Crypto++ 8.9 Free C++ class library of cryptographic schemes

List of all members
SHA3_384 Class Reference

SHA3-384 message digest. More...

Inheritance diagram for SHA3_384:

## Additional Inherited Members
Public Member Functions inherited from SHA3_Final< 48 >
| SHA3_Final ()
| Construct a SHA3-X message digest.
unsigned int | BlockSize () const
| Provides the block size of the compression function. More...
std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
Public Member Functions inherited from SHA3
unsigned int | DigestSize () const
| Provides the digest size of the hash. More...
unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance. More...
void | Update (const byte *input, size_t length)
| Updates a hash with additional input. More...
void | Restart ()
| Restart the hash. More...
void | TruncatedFinal (byte *hash, size_t size)
| Computes the hash of the current message. More...
Public Member Functions inherited from HashTransformation
HashTransformation & | Ref ()
| Provides a reference to this object. More...
virtual byte * | CreateUpdateSpace (size_t &size)
| Request space which can be written into by the caller. More...
virtual void | Final (byte *digest)
| Computes the hash of the current message. More...
unsigned int | TagSize () const
| Provides the tag size of the hash. More...
virtual unsigned int | OptimalBlockSize () const
| Provides the input block size most efficient for this hash. More...
virtual void | CalculateDigest (byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message. More...
virtual bool | Verify (const byte *digest)
| Verifies the hash of the current message. More...
virtual bool | VerifyDigest (const byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message. More...
virtual void | CalculateTruncatedDigest (byte *digest, size_t digestSize, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message. More...
virtual bool | TruncatedVerify (const byte *digest, size_t digestLength)
| Verifies the hash of the current message. More...
virtual bool | VerifyTruncatedDigest (const byte *digest, size_t digestLength, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...
Static Public Member Functions inherited from SHA3_Final< 48 >
static std::string | StaticAlgorithmName ()
Static Public Attributes inherited from SHA3_Final< 48 >
static const int | DIGESTSIZE
static const int | BLOCKSIZE

## Detailed Description

SHA3-384 message digest.

Since
  Crypto++ 5.6.2

Definition at line 98 of file sha3.h.

The documentation for this class was generated from the following file:

- sha3.h